Package: groovy.text.markup

## [Java] Class MarkupTemplateEngine

- groovy.text.markup.MarkupTemplateEngine

- A template engine which leverages StreamingMarkupBuilder to generate XML/XHTML.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `MarkupTemplateEngine.CachingTemplateResolver` | A template resolver which avoids calling ClassLoader.getResource if a template path already has been queried before.
    `static class` | `MarkupTemplateEngine.DefaultTemplateResolver` |
    `static class` | `MarkupTemplateEngine.TemplateResource` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MarkupTemplateEngine ()`
    `MarkupTemplateEngine (TemplateConfiguration tplConfig)`
    `MarkupTemplateEngine (ClassLoader parentLoader, TemplateConfiguration tplConfig)`
    `MarkupTemplateEngine (ClassLoader parentLoader, TemplateConfiguration tplConfig, TemplateResolver resolver)`
    `MarkupTemplateEngine (ClassLoader parentLoader, File templateDirectory, TemplateConfiguration tplConfig)` Convenience constructor to build a template engine which searches for templates into a directory

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `call(SourceUnit source, GeneratorContext context, ClassNode classNode)`
    `` | `Template` | `createTemplate(Reader reader)`
    `` | `Template` | `createTemplate(Reader reader, String sourceName)`
    `` | `Template` | `createTemplate(URL resource)`
    `` | `Template` | `createTemplateByPath(String templatePath)`
    `` | `Template` | `createTypeCheckedModelTemplate(String source, Map<String, String> modelTypes)`
    `` | `Template` | `createTypeCheckedModelTemplate(String source, String sourceName, Map<String, String> modelTypes)`
    `` | `Template` | `createTypeCheckedModelTemplate(Reader reader, Map<String, String> modelTypes)`
    `` | `Template` | `createTypeCheckedModelTemplate(Reader reader, String sourceName, Map<String, String> modelTypes)`
    `` | `Template` | `createTypeCheckedModelTemplate(URL resource, Map<String, String> modelTypes)`
    `` | `Template` | `createTypeCheckedModelTemplateByPath(String templatePath, Map<String, String> modelTypes)`
    `` | `CompilerConfiguration` | `getCompilerConfiguration()`
    `` | `TemplateConfiguration` | `getTemplateConfiguration()`
    `` | `GroovyClassLoader` | `getTemplateLoader()`
    `` | `URL` | `resolveTemplate(String templatePath)`
    `` | `MarkupTemplateEngine.TemplateGroovyClassLoader` | `run()`
    `` | `URLClassLoader` | `run()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class TemplateEngine` | `createTemplate, createTemplate, createTemplate, createTemplate, createTemplate, createTemplate`

- - ### Constructor Detail

    - #### public MarkupTemplateEngine()

    - #### public MarkupTemplateEngine(TemplateConfiguration tplConfig)

    - #### public MarkupTemplateEngine(ClassLoader parentLoader, TemplateConfiguration tplConfig)

    - #### public MarkupTemplateEngine(ClassLoader parentLoader, TemplateConfiguration tplConfig, TemplateResolver resolver)

    - #### public MarkupTemplateEngine(ClassLoader parentLoader, File templateDirectory, TemplateConfiguration tplConfig)

      Convenience constructor to build a template engine which searches for templates into a directory

      Parameters:
        `templateDirectory` - directory where to find templates
        `tplConfig` - template engine configuration

  - ### Method Detail

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void call(SourceUnit source, GeneratorContext context, ClassNode classNode)

    - #### public Template createTemplate(Reader reader)

    - #### public Template createTemplate(Reader reader, String sourceName)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Template createTemplate(URL resource)

    - #### public Template createTemplateByPath(String templatePath)

    - #### public Template createTypeCheckedModelTemplate(String source, Map<String, String> modelTypes)

    - #### public Template createTypeCheckedModelTemplate(String source, String sourceName, Map<String, String> modelTypes)

    - #### public Template createTypeCheckedModelTemplate(Reader reader, Map<String, String> modelTypes)

    - #### public Template createTypeCheckedModelTemplate(Reader reader, String sourceName, Map<String, String> modelTypes)

    - #### public Template createTypeCheckedModelTemplate(URL resource, Map<String, String> modelTypes)

    - #### public Template createTypeCheckedModelTemplateByPath(String templatePath, Map<String, String> modelTypes)

    - #### public CompilerConfiguration getCompilerConfiguration()

    - #### public TemplateConfiguration getTemplateConfiguration()

    - #### public GroovyClassLoader getTemplateLoader()

    - #### public URL resolveTemplate(String templatePath)

    - #### public MarkupTemplateEngine.TemplateGroovyClassLoader run()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public URLClassLoader run()